#ifndef FLEXNET_H
#define FLEXNET_H

#define FLEXNET_FRAME		1
#define FLEXNET_DMFRAME		2

typedef struct _FLEXNET_EVENT
{
	int   nStreamNum;
	int   nEventID;
	char* pszData;
	int   nDataLen;
	_FLEXNET_EVENT* pNext;
} FLEXNET_EVENT;

typedef struct _FLEXNET_QSO
{
	int   nQsoNum;
	char* pszReceivedDatas;
} FLEXNET_QSO;

int  FLEXNET_init(void);
void FLEXNET_setMyCall(char* pszCallsign);
int  FLEXNET_checkEvents(void);
void FLEXNET_sendFrame(int StreamNum, char* pszString, int nSize);
int  FLEXNET_getOutStandingFrameOnStream(int nStreamNum);
void FLEXNET_disconnect(int StreamNum);
void FLEXNET_connect(int StreamNum, char* pszToString);
int FLEXNET_getPortNum(int StreamNum);

#endif